<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mySuspectLabel" jhiTranslate="mpmApp.suspect.home.createOrEditLabel">Create or edit a Suspect</h6>
        <button type="button" class="close" aria-hidden="true" (click)="previousState()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!suspect.idSuspect">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="suspect.idSuspect" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.suspect.suspectNumber" for="field_suspectNumber">Suspect Number</label>
            <input type="text" class="form-control" name="suspectNumber" id="field_suspectNumber"
                [(ngModel)]="suspect.suspectNumber"  />
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.suspect.dealer" for="field_dealer">Dealer</label>
            <select class="form-control" id="field_dealer" name="dealer" [(ngModel)]="suspect.dealerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.suspect.person" for="field_person">Person</label>
            <select class="form-control" id="field_person" name="person" [(ngModel)]="suspect.personId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="personOption.idParty" *ngFor="let personOption of people; trackBy: trackPersonById">{{personOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.suspect.salesCoordinator" for="field_salesCoordinator">Sales Coordinator</label>
            <select class="form-control" id="field_salesCoordinator" name="salesCoordinator" [(ngModel)]="suspect.salesCoordinatorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.suspect.salesman" for="field_salesman">Salesman</label>
            <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="suspect.salesmanId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="previousState()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
